## **Setup and Configuration**

Follow these steps to set up and run the package:

1. Create a new virtual environment:
   ```python
   python -m venv venv
   ```
2. Install the required packages using the provided `requirements.txt`:
   ```python
   pip install -r requirements.txt
   ```
3.For demo purposes, execute the code cells in `example.ipynb`.

When you get to the API section:

1. Start the API with:
   ```python
   python run.py
   ```

For web usage of the API:

- Visit: `http://127.0.0.1:5000`
- For detailed API documentation, go to: [`http://127.0.0.1:5000/docs`](http://127.0.0.1:5000/docs) (Press Enter).
- Click on `get_info`, then `try it out`. Input any ID from 1 to 3 and hit `execute`.
- The result will appear in the `Response` body.

For comprehensive documentation on the project, including step-by-step guides and detailed explanations, visit our [Documentation](https://davv13.github.io/MkDocs-/).

---

In the competitive world of subscription services, customer retention is key to sustained business success. High churn rates can significantly impact revenue and growth. This project aims to tackle churn by predicting which customers may leave using advanced analytics and machine learning, based on their interaction history and engagement patterns. 



